# std::future_error::future_error

From cppreference.com
< cpp‎ | thread‎ | future error

explicit future_error( std::future_errc ec ); |  | (since C++17)

Constructs a new future error object containing the error code std::make_error_code(ec).

### Parameters

ec | - | error code

### Notes

There is no standard-compliant way for the user to construct a `future_error` prior to C++17. C++11 and C++14 depict an exposition-only public constructor taking a std::error_code, and some implementations provide such a constructor.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/future_error/future_error&oldid=94979"